unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, Grids, DBGrids, StdCtrls;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    DataSource2: TDataSource;
    Table2: TTable;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    Table1Key1: TAutoIncField;
    Table1FIO: TStringField;
    Table1Addr: TStringField;
    Table2Key1: TAutoIncField;
    Table2Key2: TIntegerField;
    Table2Data: TDateField;
    Table2Name: TStringField;
    Table2Kol: TIntegerField;
    Button1: TButton;
    FindEdit: TEdit;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 Table1.SetKey;
 Table1FIO.AsString:=FindEdit.Text;
 Table1.GotoKey;
end;

end.
